org.deidentifier.arx.framework.check

## Class TransformationCheckerStateMachine.Transition

- java.lang.Object
- - org.deidentifier.arx.framework.check.TransformationCheckerStateMachine.Transition

Enclosing class:
  TransformationCheckerStateMachine

    public static class TransformationCheckerStateMachine.Transition
    extends java.lang.Object

The resulting transition.

Author:
  Fabian Prasser, Florian Kohlmayer

### Field Summary

Fields
`long` `projection` Which columns can be projected away?.
`int[]` `snapshot` Snapshot, if available.
`TransformationCheckerStateMachine.TransitionType` `type` The actual type of the transition.

### Constructor Summary

Constructors
Constructor and Description
`Transition()`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### projection

    public long projection

Which columns can be projected away?.

#### snapshot

    public int[] snapshot

Snapshot, if available.

#### type

    public TransformationCheckerStateMachine.TransitionType type

The actual type of the transition.

### Constructor Detail

#### Transition

    public Transition()